libreofficekit-dev_6.1.2-0ubuntu1.1_amd64.deb


Advertisement

Description

libreofficekit-dev - LibreOfficeKit -- headers

Property Value
Distribution Ubuntu 18.10 (Cosmic Cuttlefish)
Repository Ubuntu Updates Main amd64
Package name libreofficekit-dev
Package version 6.1.2
Package release 0ubuntu1.1
Package architecture amd64
Package type deb
Installed size 232 B
Download size 28.01 KB
Official Mirror archive.ubuntu.com
LibreOfficeKit can be used for accessing LibreOffice functionality through
C/C++, without any need to use UNO.
For now it only offers document conversion (in addition to an experimental
tiled rendering API).
This package contains the headers needed for using LibreOfficeKit.

Alternatives

Package Version Architecture Repository
libreofficekit-dev_6.1.3-0ubuntu0.18.10.1_amd64.deb 6.1.3 amd64 Ubuntu Proposed Main
libreofficekit-dev_6.1.3-0ubuntu0.18.10.1_i386.deb 6.1.3 i386 Ubuntu Proposed Main
libreofficekit-dev_6.1.2-0ubuntu1.1_i386.deb 6.1.2 i386 Ubuntu Updates Main
libreofficekit-dev_6.1.2-0ubuntu1_i386.deb 6.1.2 i386 Ubuntu Main
libreofficekit-dev_6.1.2-0ubuntu1_amd64.deb 6.1.2 amd64 Ubuntu Main
libreofficekit-dev - - -

Requires

Name Value
gir1.2-lokdocview-0.1 = 1:6.1.2-0ubuntu1.1

Replaces

Name Value
gir1.2-lokdocview-0.1 << 1:5.4.0~rc1

Download

Type URL
Binary Package libreofficekit-dev_6.1.2-0ubuntu1.1_amd64.deb
Source Package libreoffice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libreofficekit-dev deb package:
    # sudo apt-get install libreofficekit-dev

Changelog

2018-11-03 - Simon Quigley <tsimonq2@ubuntu.com>
libreoffice (1:6.1.2-0ubuntu1.1) cosmic; urgency=medium
* Make LibreOffice under the LXQt desktop environment use the Breeze theme
as the default (LP: #1799001).
* Backport a patch from upstream which fixes testcases with OpenJDK 11
(LP: #1796361).
2018-10-02 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.1.2-0ubuntu1) cosmic; urgency=medium
* New upstream release (LP: #1795580)
* Drop upstreamed patches:
- debian/patches/apparmor-fixes.diff
- debian/patches/fix-gtk3_kde5-filepicker-infinite-loop.diff
2018-09-20 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.1.2-1) unstable; urgency=medium
* New upstream release
2018-09-20 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.1.1-0ubuntu1) cosmic; urgency=medium
* New upstream release (LP: #1792894)
2018-09-10 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.1.1-1) unstable; urgency=medium
* New upstream release
* debian/patches/fix-gtk3_kde5-filepicker-infinite-loop.diff: add from
libreoffice-6-1 branch: fixes possible infinite loop in gtk3_kde5
filepicker (closes: #906987)
2018-08-31 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.1.1~rc1-2) unstable; urgency=medium
* debian/patches/apparmor-fixes.diff: add patch from master to
allow printing to file
* debian/patches/do-not-reset-permissions-on-save.diff: as name says,
from libreoffice-6-1 branch (closes: #907476)
* debian/rules: move libdbahsqllo.so from -base-drivers to -base-core
(closes: #907397)
* debian/control.in:
- add Replaces: for above
- bump ure Dependency in -core to (>= 6.1.1~) (closes: #907650)
2018-08-24 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.1.1~rc1-1) unstable; urgency=medium
* New upstream release candidate
* debian/patches/apparmor-kde.diff: backport AppArmor KDE fixes from
master
* debian/control.in:
- *really* recommend apparmor (>= 2.13)
2018-08-31 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.1.0-0ubuntu2) cosmic; urgency=medium
[ Olivier Tilloy ]
* debian/tests/control: do not depend on libreoffice-sdbc-firebird on s390x
(LP: #1790165)
[ Rene Engelhard ]
* debian/rules: move libdbahsqllo.so from -base-drivers to -base-core
(closes: #907397) (LP: #1789202)
* debian/control.in: add Replaces: for above
2018-08-28 - Olivier Tilloy <olivier.tilloy@canonical.com>
libreoffice (1:6.1.0-0ubuntu1) cosmic; urgency=medium
* New upstream release (LP: #1786207, LP: #1789240)
* debian/patches/apparmor-fixes.diff: remove patch as this requires apparmor
2.13, which is not in ubuntu cosmic
* debian/control.in: relax apparmor recommend
2018-08-12 - Rene Engelhard <rene@debian.org>
libreoffice (1:6.1.0-1) unstable; urgency=medium
* Libreoffice 6.1.0 final (identical to rc3)
* debian/patches/apparmor-fixes.diff: add patch from libreoffice-6-1
branch to fix saving of documents in apparmor enforce mode
(closes: #905442)
* debian/patches/apparmor-cleanups.diff: use dri-enumerate abstraction of
apparmor; add from https://gerrit.libreoffice.org/#/c/58589
* debian/control.in:
- recommend apparmor (>= 2.13) for above
- make -common also depend on -style-colibre, since it apparently also
is needed to have LO draw iit's check/radiobuttons correctly
(closes: #904598, #905408, #905819)

See Also

Package Description
libruby2.5_2.5.1-5ubuntu4.1_amd64.deb Libraries necessary to run Ruby 2.5
libsmbclient-dev_4.8.4+dfsg-2ubuntu2.1_amd64.deb development files for libsmbclient
libsmbclient_4.8.4+dfsg-2ubuntu2.1_amd64.deb shared library for communication with SMB/CIFS servers
libsnmp-base_5.7.3+dfsg-1.8ubuntu3.18.10.1_all.deb SNMP configuration script, MIBs and documentation
libsnmp-dev_5.7.3+dfsg-1.8ubuntu3.18.10.1_amd64.deb SNMP (Simple Network Management Protocol) development files
libsnmp30_5.7.3+dfsg-1.8ubuntu3.18.10.1_amd64.deb SNMP (Simple Network Management Protocol) library
libssh-4_0.8.1-1ubuntu0.3_amd64.deb tiny C SSH library (OpenSSL flavor)
libssh-dev_0.8.1-1ubuntu0.3_amd64.deb tiny C SSH library. Development files (OpenSSL flavor)
libssh-doc_0.8.1-1ubuntu0.3_all.deb tiny C SSH library. Documentation files
libssh-gcrypt-4_0.8.1-1ubuntu0.3_amd64.deb tiny C SSH library (gcrypt flavor)
libssh-gcrypt-dev_0.8.1-1ubuntu0.3_amd64.deb tiny C SSH library. Development files (gcrypt flavor)
libssl-dev_1.1.1-1ubuntu2.1_amd64.deb Secure Sockets Layer toolkit - development files
libssl-doc_1.1.1-1ubuntu2.1_all.deb Secure Sockets Layer toolkit - development documentation
libssl1.0-dev_1.0.2n-1ubuntu6.1_amd64.deb Secure Sockets Layer toolkit - development files
libssl1.0.0_1.0.2n-1ubuntu6.1_amd64.deb Secure Sockets Layer toolkit - shared libraries
Advertisement
Advertisement